Bug 1000215 - (CVE-2013-4279) CVE-2013-4279 imapsync default version check with http://imapsync.lamiral.info information leakage
CVE-2013-4279 imapsync default version check with http://imapsync.lamiral.inf...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140116,repor...
: Security
Depends On: 1054619 1054620
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 21:08 EDT by Kurt Seifried
Modified: 2014-03-24 05:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-22 22:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-08-22 21:08:07 EDT
Kurt Seifried (kseifried@redhat.com) reports:

Title: imapsync default version check with http://imapsync.lamiral.info information leakage (CVE-2013-4278)

Threat: Availability: no timeout so an attacker simply sends a slow response
Threat: Confidentiality: connects to http://imapsync.lamiral.info and sends version # and operating system name and person version

Impact: Moderate (Medium)
CVSS2: 5.8/AV:N/AC:M/Au:N/C:P/I:N/A:P

Affected: imapsync version 1.564 and earlier on all supported platforms

Description: By default imapsync runs a "release check" when executed, this causes imapsync to connect to http://imapsync.lamiral.info and send information about the version of imapsync, the operating system and perl.

This feature is not well documented. It is enabled by default. The only hint it exists is the "--noreleasecheck" which is not documented anywhere other then running the program with the help option. 

Affected code:

sub imapsync_version_public {
    my $local_version = imapsync_version();
    my $imapsync_basename = imapsync_basename();
    my $agent_info = "$OSNAME system, perl "
       . sprintf("%vd", $PERL_VERSION)
        . ", Mail::IMAPClient $Mail::IMAPClient::VERSION"
        . " $imapsync_basename";
    my $sock = IO::Socket::INET->new(
        PeerAddr => 'imapsync.lamiral.info',
        PeerPort => '80',
		 Proto => 'tcp'
        ) ;
	return( 'unknown' ) if not $sock ;
    print $sock
        "GET /prj/imapsync/VERSION HTTP/1.0\n",
        "User-Agent: imapsync/$local_version ($agent_info)\n",
        "Host: ks.lamiral.info\n\n";
    my @line = <$sock>;
    close($sock);
    my $last_release = $line[-1];
    chomp($last_release);
    return($last_release);
}

Suggested solution:

1) $releasecheck should be changed to default to 0 (False) and convert --noreleasecheck to --releasecheck
2) this feature should use HTTPS to prevent information leakage to attackers
3) or disable this feature entirely
Comment 1 Kurt Seifried 2014-01-17 01:25:58 EST
Created imapsync tracking bugs for this issue:

Affects: fedora-all [bug 1054619]
Comment 2 Kurt Seifried 2014-01-17 01:26:38 EST
Created imapsync tracking bugs for this issue:

Affects: epel-all [bug 1054620]
Comment 3 Fedora Update System 2014-03-10 02:52:33 EDT
imapsync-1.584-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-03-21 18:30:44 EDT
imapsync-1.584-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-21 18:34:12 EDT
imapsync-1.584-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Nick Bebout 2014-03-22 22:50:34 EDT
I have pushed a patch to the Fedora and EPEL packages which disable the releasecheck

Note You need to log in before you can comment on or make changes to this bug.